<?php
/*
Theme Name: stripped-galleria
Version: Auto
Description: stripped-galleria theme
Theme URI: http://piwigo.org/ext/extension_view.php?eid=585
Author: Julien Capitaine (Zaphod on Piwigo forums)
Author URI: http://www.audreyetjulien.fr/galerie
*/
	
$themeconf = array(
  'parent' => 'stripped',
  'load_parent_css' => true,
  'load_parent_local_head' => true,
  'name' => 'stripped-galleria',
  'theme_dir' => 'stripped-galleria',
  'icon_dir' => 'themes/stripped/icon',
  'admin_icon_dir' => 'themes/default/icon/admin',
  'mime_icon_dir' => 'themes/default/icon/mimetypes/',
  'local_head' => 'local_head.tpl',
);

global $conf, $stripped, $strippedgalleria;

// Need upgrade?
if (!isset($conf['stripped-galleria']))
  include(PHPWG_THEMES_PATH.'stripped-galleria/admin/upgrade.inc.php');

$stripped['maxThumb']=999;
$stripped = array_merge( unserialize( $conf['stripped'] ), (array)$stripped );
$strippedgalleria = unserialize( $conf['stripped-galleria'] );
if (!isset($strippedgalleria['lightbox'])) $strippedgalleria['lightbox']='none';

// adresse image HD depuis thumbs

add_event_handler('loc_end_index_thumbnails', 'add_thumbnails_high_url', 50, 2);
function add_thumbnails_high_url($tpl_var, $pictures)
{
  include_once(PHPWG_ROOT_PATH.'include/functions_picture.inc.php');
  foreach($tpl_var as $key => $value)
  {
    if ($value['FILE_HAS_HD'])
    {
      $tpl_var[$key]['HD_PATH'] = get_high_path($pictures[$key]);
    }
  }
  return $tpl_var;
}


?>
